SDL_SurfaceHasAlternateImages(3)

NAME
SDL_SurfaceHasAlternateImages - Return whether a surface has alternate versions available.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SurfaceHasAlternateImages(SDL_Surface *surface);

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

RETURN VALUE
Returns true if alternate versions are available or false otherwise.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddSurfaceAlternateImage(3), •(3), SDL_RemoveSurfaceAlternateImages(3), •(3), SDL_GetSurfaceImages(3)